Jump to content

INV-301 error at login


Recommended Posts

Hi all,

just did a fresh install of the game after being away for a couple of years and cannot get past this error at login. Any suggestions?

Windows 7 x64 (all executables running as administrator)

I did run enbconfig before starting the game and it finished successfully.

 

The full error message is "EA.com is temporarily unavailable. This may be due to routine server maintenance or other network issues. Please try again later (inv-301)"

 

This makes me think it may be related to the net7 proxy?

Edited by ryprx
Link to comment
Share on other sites

6 hours ago, ryprx said:

Ok so for anyone else experiencing this issue, apparently the fix is to uncheck "local cert" in the launcher.

 

Are you saying that fresh launcher install has that setting enabled?

Link to comment
Share on other sites

In my case, yes it was selected by default. I will be doing a fresh install later today on another win7 pc so i will verify whether the box is checked by default on that one as well.

 

 

Update: Did the install on the second PC and the Local Cert box was NOT checked by default.

Edited by ryprx
Updated
Link to comment
Share on other sites

  • 2 months later...

I am currently having this same issue, I haven't been able to get a fix from this information here. Anyone else have any ideas?

 

UPDATE:

once I unchecked local cert it turned into INV-300 error, I check the other forums posts but the files that are linked either don't exist any more or I simply cannot open them. I'm use an old beast of a laptop just to run this game since my main unit is a mac for my business. I'd really appreciate any input, it's been too long since I did some blasting.

 

Edited by Beaken
Link to comment
Share on other sites

6 hours ago, karu said:

INV-300 is probably from expired certificate that sunrise.net-7.org (still) has. If you import that into internet cert store, then that should fix it.

 

When you say the certificate, I'm not overly savvy when it comes to this so which download would contain the certificate?

Link to comment
Share on other sites

8 hours ago, Zackman said:

Old Cert still active, we need to look into the other cert, something is wrong with it.

Sorry...

 

comodo cert will expire soon, so its almost easier to proxy AuthLogin from webserver that can use letsencrypt cert

Link to comment
Share on other sites

6 hours ago, Beaken said:

so is there any solution to my issue?

 

Yes - and Karu posted it already.

 

On 22.5.2017 at 10:38 PM, karu said:

If you import that into internet cert store, then that should fix it.

 

You might need to google it, since it requires a bit more understanding and i lack the time for an detailed explanation, sorry.

 

Link to comment
Share on other sites

I'm having the same issue as Ryprx on an XP sp3 machine, problem just started today.

This PC has been running reliably for, well, years, without any changes in recent history

I'v just un/reinstalled launcher/client

no joy :(

 

I have other PCs running game without issue

Edited by Ereiyl56
update
Link to comment
Share on other sites

i'v been fighting with mine also i get either a INV 300 or INV 301 error. These problem's are on my XP and Vista machines the Windows 10's seem to be working just fine.

 

I launched with Debug on and got this :

01/06/17 21:29:23 Connecting to Authentication Server on 38.130.197.232:443
01/06/17 21:29:24 SSL_connect failed
01/06/17 21:29:24 Local master port is 1288
01/06/17 21:29:24 Local sector port is 1289
01/06/17 21:29:24 Listener unable to bind to socket on port 127.0.0.1:443
01/06/17 21:29:24 Connecting to Authentication Server on 38.130.197.232:443
01/06/17 21:29:24 SSL_connect failed
01/06/17 21:29:24 TCP Listener unable to bind to socket on port 1288
01/06/17 21:29:24 TCP Listener unable to bind to socket on port 3805
01/06/17 21:29:24 TCP Listener unable to bind to socket on port 1289
01/06/17 21:30:10 TCP connection on port 3805 closed gracefully
01/06/17 21:30:37 MVAS thread running
 

Edited by Sagerat
Link to comment
Share on other sites

The server has been updated a few hours ago. The cert is valid again, up and running.

 

Windows XP and Vista are 15 years old and their support ended 3 years ago.

You will need to update them since all current (and future) SSL cert are not supported by these old OS (google ""elliptic curve protocols").


This is a general issue with SSL evolving and changing (becoming more secure) over time. Old operating system are simply not able to "understand" the current SSL communication.

 

NB: There are many many other reason to NOT work with an outdated, insecure operating system in general.

 

Link to comment
Share on other sites

15 minutes ago, Sagerat said:

01/06/17 21:29:24 Listener unable to bind to socket on port 127.0.0.1:443

 

Proxy not running?

Webserver (or anything else) already running on port 443 on that machine?

 

PS/Edit:

Why 127.0.0.1?

Open command promt and enter ipconfig.

Note the IP from your internal nic and chose that entry on the launcher (Field "Local IP").

Link to comment
Share on other sites

11 hours ago, Zackman said:

The server has been updated a few hours ago. The cert is valid again, up and running.

 

Windows XP and Vista are 15 years old and their support ended 3 years ago.

You will need to update them since all current (and future) SSL cert are not supported by these old OS (google ""elliptic curve protocols").


This is a general issue with SSL evolving and changing (becoming more secure) over time. Old operating system are simply not able to "understand" the current SSL communication.

 

NB: There are many many other reason to NOT work with an outdated, insecure operating system in general.

 

So just to clear this up ... my WinXP virtual machine I use to run the game on my Mac isn't going to work anymore and if I want to play the game I'm going to have to go out and buy a later version of windows?  And if that's the case would anyone like a dozen 150+ toons, because it looks like I won't be using them again.

 

ps.  Looks like I won't be able to make it to tonights RD base raid either, sorry folks.

Edited by Eden
  • Downvote 1
Link to comment
Share on other sites

Read here:

https://stackoverflow.com/questions/33922231/why-cant-windows-xp-handle-newer-ssl-certificate-versions

 

For your comment:

Drop a game you like to play because because you decide going on with a completely outdated, insecure operating system?

Doesn't sound logical to me.

 

  • Upvote 1
Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
×
×
  • Create New...